Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.genenet
Class GeneNetDiagramViewOptions

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.model.DiagramViewOptions
                  |
                  +--biouml.standard.diagram.pathway.PathwayDiagramViewOptions
                        |
                        +--biouml.modules.genenet.GeneNetDiagramViewOptions

public class GeneNetDiagramViewOptions
extends PathwayDiagramViewOptions

Field Summary
`static Pen` | `ProcessPen`

Fields inherited from class biouml.standard.diagram.pathway.PathwayDiagramViewOptions
`ActiveProteinBrush, automaticallyLocateReactions, CatalystActionPen, CellCytoplasmBrush, CellNucleusBrush, DecreaseActionBrush, GeneBrush, InactiveProteinBrush, IncreaseActionBrush, InhibitorActionPen, ModefiedProteinBrush, ProteinBrush, ReactionBrush, ReactionPen, SubstanceBrush, SwitchOffActionBrush, SwitchOffActionPen, SwitchOnActionBrush, SwitchOnActionPen`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, diagramTitleAlignment`

Constructor Summary
`GeneNetDiagramViewOptions(Option parent)` Creates `GeneNetDiagramViewOptions` and initializes it.

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ProcessPen

    public static Pen ProcessPen

Constructor Detail

### GeneNetDiagramViewOptions

    public GeneNetDiagramViewOptions(Option parent)

  Creates `GeneNetDiagramViewOptions` and initializes it.
  Parameters:
    parent - parent property

Association Links

to Class ru.biosoft.graphics.Pen

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM